<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile>
  <compound kind="group">
    <name>globus_gsi_gss_assist_activation</name>
    <title>Activation</title>
    <filename>group__globus__gsi__gss__assist__activation.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_GSI_GSS_ASSIST_MODULE</name>
      <anchorfile>group__globus__gsi__gss__assist__activation.html</anchorfile>
      <anchor>gab24759b1cc2c1496aae8df23d5b63076</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gsi_gss_assist</name>
    <title>Utility Functions</title>
    <filename>group__globus__gsi__gss__assist.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>GlobusGssAssistFreeDNArray</name>
      <anchorfile>group__globus__gsi__gss__assist.html</anchorfile>
      <anchor>gaec4343ae029aad696c125f311a54d380</anchor>
      <arglist>(dn_a)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>NI_MAXHOST</name>
      <anchorfile>group__globus__gsi__gss__assist.html</anchorfile>
      <anchor>gaebc53e498b2434654a1d44070d9ccd40</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gss_assist_gridmap</name>
      <anchorfile>group__globus__gsi__gss__assist.html</anchorfile>
      <anchor>ga8cb7da6808b720b5185d67d858e78fec</anchor>
      <arglist>(char *globusidp, char **useridp)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gss_assist_userok</name>
      <anchorfile>group__globus__gsi__gss__assist.html</anchorfile>
      <anchor>ga6bfda92b7cb95813557688b7bdc8cea7</anchor>
      <arglist>(char *globusid, char *userid)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gss_assist_map_local_user</name>
      <anchorfile>group__globus__gsi__gss__assist.html</anchorfile>
      <anchor>ga5e73fcdc1c36dde30c06721f80e9250e</anchor>
      <arglist>(char *local_user, char **globusidp)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gss_assist_lookup_all_globusid</name>
      <anchorfile>group__globus__gsi__gss__assist.html</anchorfile>
      <anchor>gacbc4240d6e2722a82785ed74b718f4d3</anchor>
      <arglist>(char *username, char **dns[], int *dn_count)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gss_assist_map_and_authorize</name>
      <anchorfile>group__globus__gsi__gss__assist.html</anchorfile>
      <anchor>ga4bbf706fc204783494ae6f1a29abac61</anchor>
      <arglist>(gss_ctx_id_t context, char *service, char *desired_identity, char *identity_buffer, unsigned int identity_buffer_length)</arglist>
    </member>
    <member kind="function">
      <type>OM_uint32</type>
      <name>globus_gss_assist_accept_sec_context</name>
      <anchorfile>group__globus__gsi__gss__assist.html</anchorfile>
      <anchor>ga01e75ed381ee5a89e6e19c4c12117d73</anchor>
      <arglist>(OM_uint32 *minor_status, gss_ctx_id_t *context_handle, const gss_cred_id_t cred_handle, char **src_name_char, OM_uint32 *ret_flags, int *user_to_user_flag, int *token_status, gss_cred_id_t *delegated_cred_handle, int(*gss_assist_get_token)(void *, void **, size_t *), void *gss_assist_get_context, int(*gss_assist_send_token)(void *, void *, size_t), void *gss_assist_send_context)</arglist>
    </member>
    <member kind="function">
      <type>OM_uint32</type>
      <name>globus_gss_assist_accept_sec_context_async</name>
      <anchorfile>group__globus__gsi__gss__assist.html</anchorfile>
      <anchor>ga5e1eef554700030ed889b3b594eab4cc</anchor>
      <arglist>(OM_uint32 *minor_status, gss_ctx_id_t *context_handle, const gss_cred_id_t cred_handle, char **src_name_char, OM_uint32 *ret_flags, int *user_to_user_flag, void *input_buffer, size_t input_buffer_len, void **output_bufferp, size_t *output_buffer_lenp, gss_cred_id_t *delegated_cred_handle)</arglist>
    </member>
    <member kind="function">
      <type>OM_uint32</type>
      <name>globus_gss_assist_acquire_cred</name>
      <anchorfile>group__globus__gsi__gss__assist.html</anchorfile>
      <anchor>ga47713e99f1d1429ac3212dbc3e4854a8</anchor>
      <arglist>(OM_uint32 *minor_status, gss_cred_usage_t cred_usage, gss_cred_id_t *output_cred_handle)</arglist>
    </member>
    <member kind="function">
      <type>OM_uint32</type>
      <name>globus_gss_assist_acquire_cred_ext</name>
      <anchorfile>group__globus__gsi__gss__assist.html</anchorfile>
      <anchor>ga9d527b8e3ab9459a0a9c95a0fc7ca057</anchor>
      <arglist>(OM_uint32 *minor_status, char *desired_name_char, OM_uint32 time_req, const gss_OID_set desired_mechs, gss_cred_usage_t cred_usage, gss_cred_id_t *output_cred_handle, gss_OID_set *actual_mechs, OM_uint32 *time_rec)</arglist>
    </member>
    <member kind="function">
      <type>OM_uint32</type>
      <name>globus_gss_assist_display_status</name>
      <anchorfile>group__globus__gsi__gss__assist.html</anchorfile>
      <anchor>ga56720113a3aa7c40f4da81e71cb13190</anchor>
      <arglist>(FILE *fp, char *comment, OM_uint32 major_status, OM_uint32 minor_status, int token_status)</arglist>
    </member>
    <member kind="function">
      <type>OM_uint32</type>
      <name>globus_gss_assist_display_status_str</name>
      <anchorfile>group__globus__gsi__gss__assist.html</anchorfile>
      <anchor>ga6a64e15ba5f89d8d8cd4b501bc07de7c</anchor>
      <arglist>(char **str, char *comment, OM_uint32 major_status, OM_uint32 minor_status, int token_status)</arglist>
    </member>
    <member kind="function">
      <type>OM_uint32</type>
      <name>globus_gss_assist_import_sec_context</name>
      <anchorfile>group__globus__gsi__gss__assist.html</anchorfile>
      <anchor>ga7f81c21b7208321ba527b13e1a83e9c9</anchor>
      <arglist>(OM_uint32 *minor_status, gss_ctx_id_t *context_handle, int *token_status, int fdp, FILE *fperr)</arglist>
    </member>
    <member kind="function">
      <type>OM_uint32</type>
      <name>globus_gss_assist_init_sec_context</name>
      <anchorfile>group__globus__gsi__gss__assist.html</anchorfile>
      <anchor>gab903ee3c21ece07d455a0cc56def425f</anchor>
      <arglist>(OM_uint32 *minor_status, const gss_cred_id_t cred_handle, gss_ctx_id_t *context_handle, char *target_name_char, OM_uint32 req_flags, OM_uint32 *ret_flags, int *token_status, int(*gss_assist_get_token)(void *, void **, size_t *), void *gss_assist_get_context, int(*gss_assist_send_token)(void *, void *, size_t), void *gss_assist_send_context)</arglist>
    </member>
    <member kind="function">
      <type>OM_uint32</type>
      <name>globus_gss_assist_init_sec_context_async</name>
      <anchorfile>group__globus__gsi__gss__assist.html</anchorfile>
      <anchor>gab9839402fbd6f43027e78bc220ebec62</anchor>
      <arglist>(OM_uint32 *minor_status, const gss_cred_id_t cred_handle, gss_ctx_id_t *context_handle, char *target_name_char, OM_uint32 req_flags, OM_uint32 *ret_flags, void *input_buffer, size_t input_buffer_len, void **output_bufferp, size_t *output_buffer_lenp)</arglist>
    </member>
    <member kind="function">
      <type>OM_uint32</type>
      <name>globus_gss_assist_will_handle_restrictions</name>
      <anchorfile>group__globus__gsi__gss__assist.html</anchorfile>
      <anchor>gae685a612319e645b788ea25ea9087879</anchor>
      <arglist>(OM_uint32 *minor_status, gss_ctx_id_t *context_handle)</arglist>
    </member>
    <member kind="function">
      <type>OM_uint32</type>
      <name>globus_gss_assist_get_unwrap</name>
      <anchorfile>group__globus__gsi__gss__assist.html</anchorfile>
      <anchor>gad7bf365bb646fed30b50f74773271c06</anchor>
      <arglist>(OM_uint32 *minor_status, const gss_ctx_id_t context_handle, char **data, size_t *length, int *token_status, int(*gss_assist_get_token)(void *, void **, size_t *), void *gss_assist_get_context, FILE *fperr)</arglist>
    </member>
    <member kind="function">
      <type>OM_uint32</type>
      <name>globus_gss_assist_wrap_send</name>
      <anchorfile>group__globus__gsi__gss__assist.html</anchorfile>
      <anchor>gac60f4966ae13e3e9bc8188ce4aef40f9</anchor>
      <arglist>(OM_uint32 *minor_status, const gss_ctx_id_t context_handle, char *data, size_t length, int *token_status, int(*gss_assist_send_token)(void *, void *, size_t), void *gss_assist_send_context, FILE *fperr)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gsi_gss_assist_constants</name>
    <title>GSI GSS Assist Constants</title>
    <filename>group__globus__gsi__gss__assist__constants.html</filename>
    <member kind="enumeration">
      <type></type>
      <name>globus_gsi_gss_assist_error_t</name>
      <anchorfile>group__globus__gsi__gss__assist__constants.html</anchorfile>
      <anchor>gabf8e6c38ce523b96e029c44829b1cd4f</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_GSS_ASSIST_ERROR_SUCCESS</name>
      <anchorfile>group__globus__gsi__gss__assist__constants.html</anchorfile>
      <anchor>ggabf8e6c38ce523b96e029c44829b1cd4fa43df0e8be1c263efb660c260a7c49963</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_GSS_ASSIST_ERROR_WITH_ARGUMENTS</name>
      <anchorfile>group__globus__gsi__gss__assist__constants.html</anchorfile>
      <anchor>ggabf8e6c38ce523b96e029c44829b1cd4fa50f6399873002772734e0e89d00cba09</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_GSS_ASSIST_ERROR_USER_ID_DOESNT_MATCH</name>
      <anchorfile>group__globus__gsi__gss__assist__constants.html</anchorfile>
      <anchor>ggabf8e6c38ce523b96e029c44829b1cd4fa9b20755b1e439ecbb28842c10e26209d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_GSS_ASSIST_ERROR_IN_GRIDMAP_NO_USER_ENTRY</name>
      <anchorfile>group__globus__gsi__gss__assist__constants.html</anchorfile>
      <anchor>ggabf8e6c38ce523b96e029c44829b1cd4fade68f5c9b701d0450788d8eeed37f3f8</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_GSS_ASSIST_ERROR_WITH_GRIDMAP</name>
      <anchorfile>group__globus__gsi__gss__assist__constants.html</anchorfile>
      <anchor>ggabf8e6c38ce523b96e029c44829b1cd4fa675755c1260b8576f91a5511ca2f0392</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_GSS_ASSIST_ERROR_INVALID_GRIDMAP_FORMAT</name>
      <anchorfile>group__globus__gsi__gss__assist__constants.html</anchorfile>
      <anchor>ggabf8e6c38ce523b96e029c44829b1cd4fa28eb1976408a759c9b969bbd1e1e9ca9</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_GSS_ASSIST_ERROR_ERRNO</name>
      <anchorfile>group__globus__gsi__gss__assist__constants.html</anchorfile>
      <anchor>ggabf8e6c38ce523b96e029c44829b1cd4faabe83324ed3455d3d73f0f212e57ddcd</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_GSS_ASSIST_ERROR_WITH_INIT</name>
      <anchorfile>group__globus__gsi__gss__assist__constants.html</anchorfile>
      <anchor>ggabf8e6c38ce523b96e029c44829b1cd4fa25932c4a82d050c4dfe90d916205eb1d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_GSS_ASSIST_ERROR_WITH_WRAP</name>
      <anchorfile>group__globus__gsi__gss__assist__constants.html</anchorfile>
      <anchor>ggabf8e6c38ce523b96e029c44829b1cd4fa916f42f40b3dd7dd07f1adb0f04d1596</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_GSS_ASSIST_ERROR_WITH_TOKEN</name>
      <anchorfile>group__globus__gsi__gss__assist__constants.html</anchorfile>
      <anchor>ggabf8e6c38ce523b96e029c44829b1cd4fa5f09c2a57f65159913631b7720514287</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_GSS_ASSIST_ERROR_EXPORTING_CONTEXT</name>
      <anchorfile>group__globus__gsi__gss__assist__constants.html</anchorfile>
      <anchor>ggabf8e6c38ce523b96e029c44829b1cd4fafaafb25a8069d6099c2e82e94f6f8374</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_GSS_ASSIST_ERROR_IMPORTING_CONTEXT</name>
      <anchorfile>group__globus__gsi__gss__assist__constants.html</anchorfile>
      <anchor>ggabf8e6c38ce523b96e029c44829b1cd4fab414ebefbb6fba75275ed2af2558d03d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_GSS_ASSIST_ERROR_INITIALIZING_CALLOUT_HANDLE</name>
      <anchorfile>group__globus__gsi__gss__assist__constants.html</anchorfile>
      <anchor>ggabf8e6c38ce523b96e029c44829b1cd4facd3e0ef22f51a765e8a034acb685de6a</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_GSS_ASSIST_ERROR_WITH_CALLOUT_CONFIG</name>
      <anchorfile>group__globus__gsi__gss__assist__constants.html</anchorfile>
      <anchor>ggabf8e6c38ce523b96e029c44829b1cd4faa3116a6dd011d0fad36336c1833d4bc6</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_GSS_ASSIST_CALLOUT_ERROR</name>
      <anchorfile>group__globus__gsi__gss__assist__constants.html</anchorfile>
      <anchor>ggabf8e6c38ce523b96e029c44829b1cd4fa2038d2f3e57eeeb5e08ac1fe6ad4f37b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_GSS_ASSIST_GSSAPI_ERROR</name>
      <anchorfile>group__globus__gsi__gss__assist__constants.html</anchorfile>
      <anchor>ggabf8e6c38ce523b96e029c44829b1cd4fa4e12779075965ee7e4f85ef421f61b04</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_GSS_ASSIST_GRIDMAP_LOOKUP_FAILED</name>
      <anchorfile>group__globus__gsi__gss__assist__constants.html</anchorfile>
      <anchor>ggabf8e6c38ce523b96e029c44829b1cd4fac5bf4d6094ddb3469e4f925f852c622d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_GSS_ASSIST_BUFFER_TOO_SMALL</name>
      <anchorfile>group__globus__gsi__gss__assist__constants.html</anchorfile>
      <anchor>ggabf8e6c38ce523b96e029c44829b1cd4fa8eb093125d2dbc84af9d3e6944b601c1</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_GSS_ASSIST_ERROR_CANONICALIZING_HOSTNAME</name>
      <anchorfile>group__globus__gsi__gss__assist__constants.html</anchorfile>
      <anchor>ggabf8e6c38ce523b96e029c44829b1cd4fae790a37973ee75c3b844a37bfd65ae90</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_GSS_ASSIST_ERROR_LAST</name>
      <anchorfile>group__globus__gsi__gss__assist__constants.html</anchorfile>
      <anchor>ggabf8e6c38ce523b96e029c44829b1cd4faf9cb30f7c4c9516f66e312e4866cfede</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>GLOBUS_GSI_GSS_ASSIST_ERROR_SUCCESS</name>
      <anchorfile>group__globus__gsi__gss__assist__constants.html</anchorfile>
      <anchor>ggabf8e6c38ce523b96e029c44829b1cd4fa43df0e8be1c263efb660c260a7c49963</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>GLOBUS_GSI_GSS_ASSIST_ERROR_WITH_ARGUMENTS</name>
      <anchorfile>group__globus__gsi__gss__assist__constants.html</anchorfile>
      <anchor>ggabf8e6c38ce523b96e029c44829b1cd4fa50f6399873002772734e0e89d00cba09</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>GLOBUS_GSI_GSS_ASSIST_ERROR_USER_ID_DOESNT_MATCH</name>
      <anchorfile>group__globus__gsi__gss__assist__constants.html</anchorfile>
      <anchor>ggabf8e6c38ce523b96e029c44829b1cd4fa9b20755b1e439ecbb28842c10e26209d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>GLOBUS_GSI_GSS_ASSIST_ERROR_IN_GRIDMAP_NO_USER_ENTRY</name>
      <anchorfile>group__globus__gsi__gss__assist__constants.html</anchorfile>
      <anchor>ggabf8e6c38ce523b96e029c44829b1cd4fade68f5c9b701d0450788d8eeed37f3f8</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>GLOBUS_GSI_GSS_ASSIST_ERROR_WITH_GRIDMAP</name>
      <anchorfile>group__globus__gsi__gss__assist__constants.html</anchorfile>
      <anchor>ggabf8e6c38ce523b96e029c44829b1cd4fa675755c1260b8576f91a5511ca2f0392</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>GLOBUS_GSI_GSS_ASSIST_ERROR_INVALID_GRIDMAP_FORMAT</name>
      <anchorfile>group__globus__gsi__gss__assist__constants.html</anchorfile>
      <anchor>ggabf8e6c38ce523b96e029c44829b1cd4fa28eb1976408a759c9b969bbd1e1e9ca9</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>GLOBUS_GSI_GSS_ASSIST_ERROR_ERRNO</name>
      <anchorfile>group__globus__gsi__gss__assist__constants.html</anchorfile>
      <anchor>ggabf8e6c38ce523b96e029c44829b1cd4faabe83324ed3455d3d73f0f212e57ddcd</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>GLOBUS_GSI_GSS_ASSIST_ERROR_WITH_INIT</name>
      <anchorfile>group__globus__gsi__gss__assist__constants.html</anchorfile>
      <anchor>ggabf8e6c38ce523b96e029c44829b1cd4fa25932c4a82d050c4dfe90d916205eb1d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>GLOBUS_GSI_GSS_ASSIST_ERROR_WITH_WRAP</name>
      <anchorfile>group__globus__gsi__gss__assist__constants.html</anchorfile>
      <anchor>ggabf8e6c38ce523b96e029c44829b1cd4fa916f42f40b3dd7dd07f1adb0f04d1596</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>GLOBUS_GSI_GSS_ASSIST_ERROR_WITH_TOKEN</name>
      <anchorfile>group__globus__gsi__gss__assist__constants.html</anchorfile>
      <anchor>ggabf8e6c38ce523b96e029c44829b1cd4fa5f09c2a57f65159913631b7720514287</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>GLOBUS_GSI_GSS_ASSIST_ERROR_EXPORTING_CONTEXT</name>
      <anchorfile>group__globus__gsi__gss__assist__constants.html</anchorfile>
      <anchor>ggabf8e6c38ce523b96e029c44829b1cd4fafaafb25a8069d6099c2e82e94f6f8374</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>GLOBUS_GSI_GSS_ASSIST_ERROR_IMPORTING_CONTEXT</name>
      <anchorfile>group__globus__gsi__gss__assist__constants.html</anchorfile>
      <anchor>ggabf8e6c38ce523b96e029c44829b1cd4fab414ebefbb6fba75275ed2af2558d03d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>GLOBUS_GSI_GSS_ASSIST_ERROR_INITIALIZING_CALLOUT_HANDLE</name>
      <anchorfile>group__globus__gsi__gss__assist__constants.html</anchorfile>
      <anchor>ggabf8e6c38ce523b96e029c44829b1cd4facd3e0ef22f51a765e8a034acb685de6a</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>GLOBUS_GSI_GSS_ASSIST_ERROR_WITH_CALLOUT_CONFIG</name>
      <anchorfile>group__globus__gsi__gss__assist__constants.html</anchorfile>
      <anchor>ggabf8e6c38ce523b96e029c44829b1cd4faa3116a6dd011d0fad36336c1833d4bc6</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>GLOBUS_GSI_GSS_ASSIST_CALLOUT_ERROR</name>
      <anchorfile>group__globus__gsi__gss__assist__constants.html</anchorfile>
      <anchor>ggabf8e6c38ce523b96e029c44829b1cd4fa2038d2f3e57eeeb5e08ac1fe6ad4f37b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>GLOBUS_GSI_GSS_ASSIST_GSSAPI_ERROR</name>
      <anchorfile>group__globus__gsi__gss__assist__constants.html</anchorfile>
      <anchor>ggabf8e6c38ce523b96e029c44829b1cd4fa4e12779075965ee7e4f85ef421f61b04</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>GLOBUS_GSI_GSS_ASSIST_GRIDMAP_LOOKUP_FAILED</name>
      <anchorfile>group__globus__gsi__gss__assist__constants.html</anchorfile>
      <anchor>ggabf8e6c38ce523b96e029c44829b1cd4fac5bf4d6094ddb3469e4f925f852c622d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>GLOBUS_GSI_GSS_ASSIST_BUFFER_TOO_SMALL</name>
      <anchorfile>group__globus__gsi__gss__assist__constants.html</anchorfile>
      <anchor>ggabf8e6c38ce523b96e029c44829b1cd4fa8eb093125d2dbc84af9d3e6944b601c1</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>GLOBUS_GSI_GSS_ASSIST_ERROR_CANONICALIZING_HOSTNAME</name>
      <anchorfile>group__globus__gsi__gss__assist__constants.html</anchorfile>
      <anchor>ggabf8e6c38ce523b96e029c44829b1cd4fae790a37973ee75c3b844a37bfd65ae90</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gsi_gss_assist_tokens</name>
    <title>Security Token Transport</title>
    <filename>group__globus__gsi__gss__assist__tokens.html</filename>
    <member kind="function">
      <type>int</type>
      <name>globus_gss_assist_token_get_fd</name>
      <anchorfile>group__globus__gsi__gss__assist__tokens.html</anchorfile>
      <anchor>ga4fbff6540f5094be4b702d5149ce9276</anchor>
      <arglist>(void *arg, void **bufp, size_t *sizep)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gss_assist_token_send_fd</name>
      <anchorfile>group__globus__gsi__gss__assist__tokens.html</anchorfile>
      <anchor>ga505c2624fc42917bbdf17aee0234caf2</anchor>
      <arglist>(void *arg, void *buf, size_t size)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gss_assist_token_send_fd_without_length</name>
      <anchorfile>group__globus__gsi__gss__assist__tokens.html</anchorfile>
      <anchor>ga8382fddaf621387f650bccba2452e691</anchor>
      <arglist>(void *arg, void *buf, size_t size)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gss_assist_token_send_fd_ex</name>
      <anchorfile>group__globus__gsi__gss__assist__tokens.html</anchorfile>
      <anchor>ga58f0c32d5b71bd3664fe15d267a8331c</anchor>
      <arglist>(void *exp, void *buf, size_t size)</arglist>
    </member>
  </compound>
  <compound kind="page">
    <name>index</name>
    <title>Globus GSI GSS Assist</title>
    <filename>index</filename>
    <docanchor file="index">globus_gsi_gss_assist</docanchor>
  </compound>
</tagfile>
